Create new or update existing fluid entities

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

A list of fluid entities to be created or updated

Array [
idstring or null
hole_sizenumber or null, (double)
chloridesnumber or null, (double)
data_sourcestring or null
fluid_system_codestring or null
fluid_system_namestring or null
fluid_type_codestring or null
fluid_type_namestring or null
hole_volumenumber or null, (double)
left_in_holenumber or null, (double)
max_inclinationnumber or null, (double)
max_mud_densitynumber or null, (double)
depth_axisstring or null
offshore_flagboolean or null
oil_rationumber or null, (double)
operatorstring or null
other_sub_surfacenumber or null, (double)
other_surfacenumber or null, (double)
project_control_numberstring or null
riser_odnumber or null, (double)
salt_percent_by_weightnumber or null, (double)
section_idstring or null
section_lengthnumber or null, (double)
start_datestring or null, (date-time)
sub_surface_pump_and_dumpnumber or null, (double)
surface_pump_and_dumpnumber or null, (double)
water_depthnumber or null, (double)
water_rationumber or null, (double)
weight_material_sgnumber or null, (double)
well_guidstring or null
]
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/fluids \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "id": "string",
      "hole_size": 0.1,
      "chlorides": 0.1,
      "data_source": "string",
      "fluid_system_code": "string",
      "fluid_system_name": "string",
      "fluid_type_code": "string",
      "fluid_type_name": "string",
      "hole_volume": 0.1,
      "left_in_hole": 0.1,
      "max_inclination": 0.1,
      "max_mud_density": 0.1,
      "depth_axis": "string",
      "offshore_flag": true,
      "oil_ratio": 0.1,
      "operator": "string",
      "other_sub_surface": 0.1,
      "other_surface": 0.1,
      "project_control_number": "string",
      "riser_od": 0.1,
      "salt_percent_by_weight": 0.1,
      "section_id": "string",
      "section_length": 0.1,
      "start_date": "2019-08-24T14:15:22Z",
      "sub_surface_pump_and_dump": 0.1,
      "surface_pump_and_dump": 0.1,
      "water_depth": 0.1,
      "water_ratio": 0.1,
      "weight_material_sg": 0.1,
      "well_guid": "string"
    }
  ]'

Responses

Created

Body
total_entity_countinteger, (int32)
created_entity_countinteger, (int32)
updated_entity_countinteger, (int32)
created_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.FluidSearchDto)
updated_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.FluidSearchDto)
entity_violationsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.FluidSearchDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "total_entity_count": 0,
  "created_entity_count": 0,
  "updated_entity_count": 0,
  "created_entities": [
    {
      "well_location": {
        "latitude": 0.1,
        "longitude": 0.1
      },
      "well_name": "string",
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "id": "string",
      "hole_size": 0.1,
      "chlorides": 0.1,
      "data_source": "string",
      "fluid_system_code": "string",
      "fluid_system_name": "string",
      "fluid_type_code": "string",
      "fluid_type_name": "string",
      "hole_volume": 0.1,
      "left_in_hole": 0.1,
      "max_inclination": 0.1,
      "max_mud_density": 0.1,
      "depth_axis": "string",
      "offshore_flag": true,
      "oil_ratio": 0.1,
      "operator": "string",
      "other_sub_surface": 0.1,
      "other_surface": 0.1,
      "project_control_number": "string",
      "riser_od": 0.1,
      "salt_percent_by_weight": 0.1,
      "section_id": "string",
      "section_length": 0.1,
      "start_date": "2019-08-24T14:15:22Z",
      "sub_surface_pump_and_dump": 0.1,
      "surface_pump_and_dump": 0.1,
      "water_depth": 0.1,
      "water_ratio": 0.1,
      "weight_material_sg": 0.1,
      "well_guid": "string"
    }
  ],
  "updated_entities": [
    {
      "well_location": {
        "latitude": 0.1,
        "longitude": 0.1
      },
      "well_name": "string",
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "id": "string",
      "hole_size": 0.1,
      "chlorides": 0.1,
      "data_source": "string",
      "fluid_system_code": "string",
      "fluid_system_name": "string",
      "fluid_type_code": "string",
      "fluid_type_name": "string",
      "hole_volume": 0.1,
      "left_in_hole": 0.1,
      "max_inclination": 0.1,
      "max_mud_density": 0.1,
      "depth_axis": "string",
      "offshore_flag": true,
      "oil_ratio": 0.1,
      "operator": "string",
      "other_sub_surface": 0.1,
      "other_surface": 0.1,
      "project_control_number": "string",
      "riser_od": 0.1,
      "salt_percent_by_weight": 0.1,
      "section_id": "string",
      "section_length": 0.1,
      "start_date": "2019-08-24T14:15:22Z",
      "sub_surface_pump_and_dump": 0.1,
      "surface_pump_and_dump": 0.1,
      "water_depth": 0.1,
      "water_ratio": 0.1,
      "weight_material_sg": 0.1,
      "well_guid": "string"
    }
  ],
  "entity_violations": [
    {
      "source": {
        "well_location": {
          "latitude": 0.1,
          "longitude": 0.1
        },
        "well_name": "string",
        "physical_container_name": "string",
        "creation_utc_timestamp": "2019-08-24T14:15:22Z",
        "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
        "version": 0,
        "id": "string",
        "hole_size": 0.1,
        "chlorides": 0.1,
        "data_source": "string",
        "fluid_system_code": "string",
        "fluid_system_name": "string",
        "fluid_type_code": "string",
        "fluid_type_name": "string",
        "hole_volume": 0.1,
        "left_in_hole": 0.1,
        "max_inclination": 0.1,
        "max_mud_density": 0.1,
        "depth_axis": "string",
        "offshore_flag": true,
        "oil_ratio": 0.1,
        "operator": "string",
        "other_sub_surface": 0.1,
        "other_surface": 0.1,
        "project_control_number": "string",
        "riser_od": 0.1,
        "salt_percent_by_weight": 0.1,
        "section_id": "string",
        "section_length": 0.1,
        "start_date": "2019-08-24T14:15:22Z",
        "sub_surface_pump_and_dump": 0.1,
        "surface_pump_and_dump": 0.1,
        "water_depth": 0.1,
        "water_ratio": 0.1,
        "weight_material_sg": 0.1,
        "well_guid": "string"
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}